## org.eclipse.emf.codegen.jet
Class JETEmitter.MyBaseJETCompiler

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETCompiler
          org.eclipse.emf.codegen.jet.JETEmitter.MyBaseJETCompiler

All Implemented Interfaces:
  JETParseEventListener

Direct Known Subclasses:
  JETEmitter.MyJETCompiler

Enclosing class:
  JETEmitter

    protected static class JETEmitter.MyBaseJETCompiler

extends JETCompiler

Field Summary
`protected java.lang.ClassLoader` `classLoader`

Fields inherited from class org.eclipse.emf.codegen.jet.JETCompiler
`CONSTANT_PREFIX, constantCount, constantDictionary, constants, fNoNewLineForScriptlets, fSavedLine, fUseStaticFinalConstants, generators, NULL_CHAR_ARRAY, parser, reader, sectionDepth, skeleton, skipping, skipSections, templateURI, templateURIPath, writer`

Constructor Summary
`JETEmitter.MyBaseJETCompiler(java.lang.String[] templateURIPath, java.lang.String relativeTemplateURI, java.lang.ClassLoader classLoader)`
`JETEmitter.MyBaseJETCompiler(java.lang.String[] templateURIPath, java.lang.String relativeTemplateURI, java.lang.String encoding, java.lang.ClassLoader classLoader)`
`JETEmitter.MyBaseJETCompiler(java.lang.String templateURI, java.lang.ClassLoader classLoader)`
`JETEmitter.MyBaseJETCompiler(java.lang.String templateURI, java.lang.String encoding, java.lang.ClassLoader classLoader)`

Method Summary
`protected void` `handleNewSkeleton()`

Methods inherited from class org.eclipse.emf.codegen.jet.JETCompiler
`addCharDataGenerator, addGenerator, beginPageProcessing, doAddCharDataGenerator, endPageProcessing, find, findLocation, generate, generate, getResolvedTemplateURI, getSkeleton, handleCharData, handleDirective, handleExpression, handleScriptlet, openStream, parse, parse, resolveLocation, resolveLocation, stripFirstNewLineWithBlanks, stripLastNewLineWithBlanks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classLoader

    protected java.lang.ClassLoader classLoader

Constructor Detail

### JETEmitter.MyBaseJETCompiler

    public JETEmitter.MyBaseJETCompiler(java.lang.String templateURI,
                                        java.lang.ClassLoader classLoader)
                                 throws JETException

Throws:
  `JETException`

### JETEmitter.MyBaseJETCompiler

    public JETEmitter.MyBaseJETCompiler(java.lang.String templateURI,
                                        java.lang.String encoding,
                                        java.lang.ClassLoader classLoader)
                                 throws JETException

Throws:
  `JETException`

### JETEmitter.MyBaseJETCompiler

    public JETEmitter.MyBaseJETCompiler(java.lang.String[] templateURIPath,
                                        java.lang.String relativeTemplateURI,
                                        java.lang.ClassLoader classLoader)
                                 throws JETException

Throws:
  `JETException`

### JETEmitter.MyBaseJETCompiler

    public JETEmitter.MyBaseJETCompiler(java.lang.String[] templateURIPath,
                                        java.lang.String relativeTemplateURI,
                                        java.lang.String encoding,
                                        java.lang.ClassLoader classLoader)
                                 throws JETException

Throws:
  `JETException`

Method Detail

### handleNewSkeleton

    protected void handleNewSkeleton()

  Overrides:
    `handleNewSkeleton` in class `JETCompiler`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.